package cn.ibizlab.core.lite.extensions.service;

import cn.ibizlab.core.lite.extensions.domain.EntityModel;
import cn.ibizlab.core.lite.extensions.domain.EntityObj;
import cn.ibizlab.core.lite.extensions.model.DataModel;
import cn.ibizlab.util.filter.QueryFilter;
import org.springframework.stereotype.Service;

import java.sql.Timestamp;
import java.util.List;
import java.util.Set;

@Service
public class MongoEntityService implements CommonEntityService{

    @Override
    public List<EntityObj> selectBase(EntityModel entityModel, QueryFilter filter) {
        return null;
    }

    @Override
    public List<EntityObj> selectCore(EntityModel entityModel, QueryFilter filter) {
        return null;
    }

    @Override
    public Integer selectCount(EntityModel entityModel, QueryFilter filter) {
        return null;
    }


    @Override
    public List<EntityObj> search(String dataSet, EntityModel entityModel, QueryFilter filter) {
        return null;
    }

    @Override
    public List<EntityObj> search(String dsName, String sql, QueryFilter filter) {
        return null;
    }



    @Override
    public void processList(DataModel dataModel, Timestamp lastModify, LiteDataCallback callback) {

    }
}
